## golang-github-socketplane-libovsdb 0.1+git20160503.9.d4b9e7a53548

=== debian/changelog ===
golang-github-socketplane-libovsdb (0.1+git20160503.9.d4b9e7a53548-2) unstable; urgency=medium

  * Add an empty debian/watch file.
  * Remove installed example.

 -- Vincent Bernat <bernat@debian.org>  Tue, 31 May 2016 12:23:26 +0200

golang-github-socketplane-libovsdb (0.1+git20160503.9.d4b9e7a53548-1) unstable; urgency=medium

  * Initial release (Closes: #825503)

 -- Vincent Bernat <bernat@debian.org>  Tue, 31 May 2016 10:14:48 +0200
