=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_test:
	dh_auto_test -- -short

override_dh_auto_install:
	dh_auto_install
	rm debian/*/usr/bin/example
	rmdir debian/*/usr/bin
