=== debian/changelog ===
golang-github-socketplane-libovsdb (0.8.1-1) unstable; urgency=medium

  * Team upload

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Andreas Tille ]
  * New upstream version
  * Adapt (Build-)Depends to new upstream version
  * Adjust Homepage and Source to new Github location
  * Fix watch file
  * Default Salsa CI
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Use tracker.debian.org's team functionality in Debian Go Packaging
    Team and spell team name as per policy (routine-update)
  * Section: s/devel/golang/ (routine-update)
  * Fix validator New() API
  * Add several (Build-)Depends needed by new version
  * Do no test examples that do not build or need web access

 -- Andreas Tille <tille@debian.org>  Thu, 16 Oct 2025 09:55:27 +0200

golang-github-socketplane-libovsdb (0.1+git20160503.9.d4b9e7a53548-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 02:16:12 +0100
