=== debian/control ===
Source: golang-github-socketplane-libovsdb
Standards-Version: 4.7.2
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Vincent Bernat <bernat@debian.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-go,
 golang-github-cenkalti-backoff-dev,
 golang-github-cenkalti-rpc2-dev,
 golang-github-go-logr-logr-dev,
 golang-github-go-logr-stdr-dev,
 golang-github-go-playground-validator-v10-dev,
 golang-github-google-uuid-dev,
 golang-github-prometheus-client-golang-dev,
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-socketplane-libovsdb
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-socketplane-libovsdb.git
Homepage: https://github.com/ovn-kubernetes/libovsdb
XS-Go-Import-Path: github.com/ovn-kubernetes/libovsdb

Package: golang-github-socketplane-libovsdb-dev
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 golang-go,
 golang-github-cenkalti-backoff-dev,
 golang-github-cenkalti-rpc2-dev,
 golang-github-go-logr-logr-dev,
 golang-github-go-logr-stdr-dev,
 golang-github-go-playground-validator-v10-dev,
 golang-github-google-uuid-dev,
 golang-github-prometheus-client-golang-dev
Description: OVSDB client library written in Go
 OVSDB is the Open vSwitch Database Protocol. It's defined in RFC
 7047 and mainly used for managing the configuration of Open vSwitch,
 an open-source software switch designed to be used as a virtual
 switch in virtualized server environments.
 .
 This library is a client for OVSDB for Go.
