=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := example modelgen test/ovs

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_clean:
	dh_auto_clean
	if [ -d .example ] ; then mv .example example ; fi

override_dh_auto_configure:
	mv example .example
	dh_auto_configure

override_dh_auto_test:
	dh_auto_test -- -short

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/*/usr/bin
